.hi {
    color: blueviolet;
}

.fc-center {
    display: flex;
    justify-content: center;
}

.fc-row {
    display: flex;
    flex-direction: row;
    width: 100%;
}

.fc-row-space {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.fc-main-container {
    background-color: #046582;
    position: relative;
    height: 40vw;
    overflow: hidden;
    width: 92%;
}

.fc-page-container {
    transition: .3s ease-in-out;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    padding: 1% 3%;
    width: 100%;
    position: absolute;
    height: 100%;
}

.fc-page-container>* {
    margin: 1%;
}

.fc-flashcard {
    padding: 1% 2%;
    border-radius: 10px;
    background: url([[pix:flashcard|paper-texture-s]]);
    background-size: contain;
}

.fc-move-left {
    transform: translate(-100%, 0);
    opacity: 0;
    pointer-events: none;
}

.fc-move-right {
    transform: translate(100%, 0);
    opacity: 0;
    pointer-events: none;
}

/* lang page */

.fc-lang-page {
    position: absolute;
}

.fc-button {
    transition: .3s ease-in-out;
    filter: drop-shadow(0px 10px 4px rgba(0, 0, 0, .25));
    border-radius: 2vw;
    cursor: pointer;
}

.fc-button:active {
    filter: none;
}

.fc-languages {
    display: flex;
    justify-content: space-around;
    align-self: stretch;
}

.fc-lang {
    border: #BB8082 1px solid;
    display: flex;
    justify-content: center;
    width: 8%;
    font-size: 2vw;
    font-family: Ribeye;
}

.fc-main-button {
    padding: 2%;
    width: 40%;
    height: 30%;
    text-align: center;
    font-size: 8vw;
    font-family: Tangerine;
    align-items: center;
    display: flex;
    justify-content: center;
}

.fc-selected {
    background: #0785ac;
    border: #BB8082 1px solid;
    color: white;
    filter: none;
    pointer-events: none;
}

.fc-disabled {
    background: #5a818d;
    border: #5a818d 1px solid;
    filter: none;
    pointer-events: none;
}

/* level page */

.fc-level-page {
    flex-direction: row;
}

.fc-secondary-button {
    padding: 2%;
    width: 30%;
    text-align: center;
    font-size: 4vw;
    font-family: Tangerine;
}

/* exo page */

.fc-bottom-menu {
    position: relative;
    height: 7%;
    justify-content: space-between;
    width: 100%;
    top: -7%;
    z-index: 0;
}

.fc-exit {
    height: 200%;
    filter: drop-shadow(0px 10px 4px rgba(0, 0, 0, .25));
    cursor: pointer;
}

.fc-exos-count {
    font-family: Tangerine;
    color: white;
    font-size: 4vw;
    filter: drop-shadow(0px 10px 4px rgba(0, 0, 0, .25));
}

.fc-exo-page {
    position: absolute;
}

.fc-banner {
    position: relative;
    height: 20%;
    width: 100%;
}

.fc-banner>img {
    height: 100%;
    filter: drop-shadow(6px 7px 4px rgba(0, 0, 0, 0.5))
}

.fc-banner-title {
    position: absolute;
    top: 30%;
    font-size: 4vw;
    font-family: Tangerine;
    text-transform: capitalize;
}

.fc-cards-container {
    width: 60%;
    height: 100%;
    position: relative;
}

.fc-card-arrows {
    height: 100%;
    z-index: 1;
}

.fc-circle-button {
    transition: .3s ease-in-out;
    cursor: pointer;
    background-size: 40%;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 50%;
    box-sizing: border-box;
}

.fc-bottom-circle {
    width: calc(12% + 4px);
    /* need to add the border pixels, idk why */
    padding-top: 12%;
    /* depends on width, so equal to height */
    position: absolute;
    bottom: calc(-12% - 2px);
    right: calc(44% - 2px);
    filter: drop-shadow(6px 7px 4px rgba(0, 0, 0, 0.5));
    /*50 - 12/2*/
}

.fc-bottom-circle>.fc-container-circle {
    position: absolute;
    width: 100%;
    height: 100%;
    /* need to compensate for border for whatever reason */
    bottom: 1px;
    right: 0;
    align-items: center;
}

.fc-micro:hover, .fc-micro-recording:hover {
    background-size: 45%;
}

.fc-micro:active, .fc-micro-recording:active {
    filter: none;
}

.fc-retry {
    background-color: #BB8082;
    border: 2px solid #046582;
    background-image: url([[pix:flashcard|reload]]);
}

.fc-no-micro {
    background-color: #046582;
    border: 2px solid #BB8082;
}

.fc-micro {
    background-color: #BB8082;
    border: 2px solid #046582;
    background-image: url([[pix:flashcard|micro]]);
}

.fc-micro-recording {
    background-color: #046582;
    border: 2px solid #BB8082;
    background-image: url([[pix:flashcard|micro_pressed]]);
}

.fc-container-circle>img {
    height: 90%;
}

.fc-main-card {
    transition: .4s ease-in-out;
}

.fc-card {
    display: flex;
    height: 100%;
    width: 100%;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    position: absolute;
    filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.75));
}

.fc-card>.fc-image {
    max-width: 90%;
    max-height: 50%;
}

.fc-arrow {
    transition: .3s ease-in-out;
    width: 10%;
    align-self: center;
    margin: 2%;
    cursor: pointer;
    filter: drop-shadow(0px 10px 4px rgb(0, 0, 0));
    z-index: 2;
}

.fc-inactive-arrow {
    filter: none;
    opacity: 0.3;
    cursor: default;
}

.fc-arrow.fc-right {
    -webkit-transform: rotateY(180deg);
    -moz-transform: rotateY(180deg);
    -ms-transform: rotateY(180deg);
    -o-transform: rotateY(180deg);
    transform: rotateY(180deg);
}

/* card background
<a href="https://fr.freepik.com/photos/fond">Fond photo créé par kues1 - fr.freepik.com</a>
*/

.fc-flip-card {
    background-color: transparent;
    /* width: 300px;
    height: 300px; */
    perspective: 1000px;
}

.fc-flip-card-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: 0.6s ease-in-out;
    transform-style: preserve-3d;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    /*right: 100px; change here to move idk why */
}

.fc-rotate>.fc-flip-card-inner {
    transform: rotateY(180deg);
}

.fc-flip-card-front, .fc-flip-card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.fc-flip-card-back {
    transform: rotateY(180deg);
    transition: 0.6s ease-in-out;
}

.fc-back-top {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.fc-back-top>.fc-image {
    width: calc(20% + 4px);
    /* need to add the border pixels, idk why */
    padding-top: 20%;
    /* depends on width, so equal to height */
    cursor: pointer;
    transition: 0.3s;
}

.fc-inactive {
    filter: drop-shadow(-7px 7px 7px rgba(0, 0, 0, 0.39));
    background-color: #BB8082;
    border: 2px solid #046582;
}

.fc-active {
    filter: none;
    background-color: #046582;
    border: 2px solid #BB8082;
}

.fc-loupe {
    background-size: 50%;
    background-image: url([[pix:flashcard|loupe]]);
}

.fc-gramophone {
    background-size: 70%;
    background-image: url([[pix:flashcard|gramophone]]);
}

.fc-back-top>.fc-image:active {
    filter: none;
}

.fc-answer {
    font-weight: bold;
    font-family: 'Tangerine';
    font-size: 4vw;
}

.fc-percentage {
    font-weight: bold;
    font-family: 'Tangerine';
    font-size: 4vw;
}

.fc-rotate>.fc-flip-card-inner.fc-move-left {
    transform: rotateY(180deg) translate(150%, 0);
    /*remove rotate to have rotation on switch*/
}

.fc-back-bottom {
    height: 50%;
    align-items: center;
}

.fc-details {
    display: none;
    width: 100%;
    padding: 0 7%;
}

.fc-syllab {
    font-weight: bold;
    cursor: pointer;
    width: 7%;
    font-size: 1vw;
}

.fc-details .fc-title {
    font-family: 'Tangerine';
    font-size: 3vw;
    cursor: pointer;
    width: 25%;
}

/* loader */

.fc-loader {
    display: none;
    position: relative;
    width: 100%;
    height: 100%;
}

.fc-loader div {
    display: inline-block;
    position: absolute;
    width: 15%;
    background: #fff;
    animation: fc-loader 1.2s cubic-bezier(0, 0.5, 0.5, 1) infinite;
}

.fc-loader div:nth-child(1) {
    left: 15%;
    animation-delay: -0.24s;
}

.fc-loader div:nth-child(2) {
    left: 42.5%;
    animation-delay: -0.12s;
}

.fc-loader div:nth-child(3) {
    right: 15%;
    animation-delay: 0;
}

@keyframes fc-loader {
    0% {
        top: 20%;
        height: 60%;
    }
    50%, 100% {
        top: 35%;
        height: 30%;
    }
}